#include "rtbapi.h"


double giro_noobjeto=7, giro_disparo=0.001;

void initialize(int i)
{
    RobotOption(SEND_ROTATION_REACHED,1);
    if (i==1) /* Need to send name and colour */
    {
        Name("Pilocha");
        Colour(0xff6000,0xff9900);
    }
}


void radar(double distance, object_type observed, double angle)
{

  if(observed==IS_NOOBJECT){
    Accelerate(0);
    Rotate(ROTATE_ROBOT | ROTATE_CANNON | ROTATE_RADAR, giro_noobjeto);
    if(giro_noobjeto<=360)
      giro_noobjeto=giro_noobjeto+7;
    else
      giro_noobjeto=-giro_noobjeto;
  }
  
  if(observed==IS_WALL){
    Accelerate(1);
    Rotate(ROTATE_ROBOT | ROTATE_CANNON | ROTATE_RADAR, 80);
  }
  
  if(observed==IS_ROBOT){
    Accelerate(0);  
      
    if(distance>10)
      Shoot(5*distance);
    else
      Shoot(100);
  
    Rotate(ROTATE_ROBOT | ROTATE_CANNON | ROTATE_RADAR, giro_disparo);
    giro_disparo=(-1)*giro_disparo;    
  }   
  
  if(observed==IS_COOKIE || (observed==IS_MINE && distance<5)){   
    Shoot(distance);
  }  
  
  if(observed==IS_SHOT){
    Rotate(ROTATE_ROBOT, 90);
    Accelerate(1000);
  }
  
               
}

void exit_robot()
{
    Print("Cococho cococho!!");
    exit(1);
}
        
int main()
{
/* Initializing Callbacks */
Initialize=initialize;
Radar=radar;
ExitRobot=exit_robot;

/* Calling parser */
Scanner();

/* Ouch, parser exited, there was an error */
return 1;
}
